// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../../../../in/request/FormatValidation";
export default class AddAgentRequest extends ValidatedRequest {
    securityId;
    agentId;
    constructor({ securityId, agentId }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            agentId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
        });
        this.securityId = securityId;
        this.agentId = agentId;
    }
}
